/* =======================================================
    Overlap
======================================================= */
.sidebar-language-container {
    margin-top: 0px;
}











/* =======================================================
    General
======================================================= */
.registration-page {
    height: 100dvh;
}

.no-scrollbar::-webkit-scrollbar {
    display: none;
}

.no-scrollbar {
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.registration-layout {
    display: flex;
    height: 100%;
}













/* =======================================================
    Left Panel
======================================================= */
.left-panel {
    display: none;
    position: relative;
    background-color: #e2e8f0;
    overflow: hidden;
}

@media (min-width: 1024px) {
    .left-panel {
        display: flex;
        width: 50%;
    }
}

.panel-image {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.image-overlay {
    position: absolute;
    inset: 0;
    background: linear-gradient(to top, transparent, rgba(3, 5, 9, 0.3), transparent);
    z-index: 10;
}

.panel-text {
    /* position: absolute; */
    /* bottom: 0; */
    /* left: 0; */
    padding: 30px;
    z-index: 20;
    max-width: 500px;
    margin: auto;
}

.panel-title {
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 20px;
    color: #ffffff;
}

.panel-subtitle {
    font-size: 14px;
    font-weight: 600;
    font-style: italic;
    color: #ffffff;
    letter-spacing: 1px;
}












/* =======================================================
    Right Panel - Header
======================================================= */
.right-panel {
    width: 100%;
    display: flex;
    flex-direction: column;
    height: 100%;
    background-color: #ffffff;
    position: relative;
    overflow-y: auto;
}

@media (min-width: 1024px) {
    .right-panel {
        width: 50%;
    }
}

.form-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px;
    border-bottom: 1px solid #f1f5f9;
    background-color: rgba(255, 255, 255, 0.586);
    backdrop-filter: blur(5px);
    position: sticky;
    top: 0;
    z-index: 30;
}

.brand-text {
    font-size: 25px;
    font-weight: 700;
    color: #1e293b;
}

@media (min-width: 640px) {
    .brand-text {
        display: block;
    }
}

.menu-btn {
    background-color: transparent;
    border: none;
    display: flex;
    cursor: pointer;
}

.menu-icon {
    font-size: 30px;
}















/* =======================================================
    Right Panel - Main
======================================================= */
.form-main {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 50px 40px;
}

@media (max-width: 850px) {
    .form-main {
        padding: 50px 40px;
    }
}

.form-container {
    max-width: 500px;
    margin: 0 auto;
}

.form-heading {
    margin-bottom: 60px;
}

.form-title {
    font-size: 27px;
    margin-bottom: 12px;
}

.form-subtitle {
    color: #64748b;
    font-size: 14px;
    font-style: italic;
}

.registration-form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.form-group {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.form-label {
    font-size: 14px;
    font-weight: bold;
    color: #334155;
}

.form-select {
    cursor: pointer;
    padding: 8px 10px;
    font-size: 16px;
    border-radius: 5px;
    transition: all 0.3s ease;
    outline: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.input-base {
    color: #0f172a;
    padding: 8px 10px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #555d67;
    transition: all 0.3s ease;
    outline: none;
    width: 100%;
}

.input-ta {
    color: #0f172a;
    padding: 8px 10px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #555d67;
    transition: all 0.3s ease;
    outline: none;
    height: 130px;
    resize: vertical;
    /* width: 100%; */
}

.input-base::placeholder, .input-ta::placeholder {
    color: #94a3b8;
}

.form-select:hover, .input-base:hover, .input-ta:hover {
    background-color: #f8fafc;
    border: 1px solid #e2e8f0;
}

.form-select:focus, .input-base:focus, .input-ta:focus {
    border: 1px solid transparent;
    box-shadow: 0px 0px 10px #ff8c00;
}

.submit-btn-box{
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 15px;
    row-gap: 15px;
    margin-top: 25px;
}

.submit-btn {
    cursor: pointer;
    border: none;
    width: 100%;
    padding: 10px;
    font-size: 16px;
    font-weight: 700;
    transition: all 0.3s ease;
}

.whatsapp-btn {
    border-radius: 50px;
    background-color: transparent;
    border: 2px solid #ff8c00;

    /* background-color: rgb(32, 235, 32); */
}

.whatsapp-btn:hover {
    background-color: #ff8c00;
    box-shadow: 0px 4px 10px 0px rgb(255, 140, 0, 0.8);
    
    /* background-color: rgb(22, 159, 22);
    box-shadow: 0px 4px 10px 0px rgba(22, 159, 22, 0.9);
    color: white; */
}

.email-btn {
    background-color: #904d00;
    background-color: black;
    color: white;
    
    /* background-color: #3b7ab8;
    color: white; */
}

.email-btn:hover {
    background-color: #904d00;
    box-shadow: 0px 4px 10px 0px #904d00;
    
    /* background-color: #23496e;
    box-shadow: 0px 4px 10px 0px rgba(35, 73, 110, 0.5); */
}













/* =======================================================
    Right Panel - Footer
======================================================= */
.form-footer {
    padding: 10px 20px;
    border-top: 1px solid #f1f5f9;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    column-gap: 20px;
    row-gap: 5px;
    align-items: end;
}

@media (max-width: 1024px) {
    .form-footer {
        flex-direction: row;
        justify-content: space-between;
    }
}

@media (max-width: 600px) {
    .form-footer {
        flex-direction: column;
        align-items: center;
    }
}

.copyright {
    font-size: 13px;
    color: #64748b;
}

.developer {
    font-size: 13px;
    color: #64748b;
}